Subject: Ticket Assigned - Parcel returned.
From: Lifestyle <[email-masked]>
To: [email-masked]
Date: Tue, 09 Feb 2021 02:41:30 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Parcel returned. Contacted
Good day

I had a parcel to be picked up from the collection point at geant. I got a
phone to pick it up on 6th February. Today 8th February they returned my
parcel giving me only 2 days to get my parcel.

This is completely unacceptable and a very irresponsible behaviour on the
part of lifestyle. Atleast 4 days are given to pick up the parcel

Now I am clueless as to where my parcel is and I dont know how to track it.

Will never order again.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2071638